@echo off



REM https://sites.google.com/site/eneerge/scripts/batchgotadmin
:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------



regsvr32 /s "%~dp0\DFPGE10.ocx"
regsvr32 /s "%~dp0\DFPGE11.ocx"
regsvr32 /s "%~dp0\DFPGE12.ocx"
if errorlevel 1 goto Error
goto End
:Error
echo The component could not be registered. Return value for regsvr32 was %ERRORLEVEL%.
echo Did you forget installing the DirectX SDK from February 2010?
:End
pause
